(* ****************************************************************************
 *                    Fumio Kawamata's Quick Recall
 *                  Copyright (C) 1998 Fumio Kawamata
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 * ****************************************************************************
 *)

(* ****************************************************************************
 *
 * ****************************************************************************
 *)
unit global;

interface

const
 BaseKeyName='\software\Fumio_Kawamata_QR';
function ShiftWord(var S:string; Separator:string):string;
//procedure ShellExecuteFile(FileName: String);



implementation
uses
  SysUtils;

(*
procedure ShellExecuteFile(FileName: String);
var
  Ans : Word;
  CodeStr        : String;
begin
  Ans:=ShellExecute(Handle, 'open', FileName, nil, nil, SW_SHOWNORMAL);

  if Code<32 then begin
    str(Ans, CodeStr);
    MessageDlg('Could not shellexecute "'+FileName+'".'+chr($0D)+
      'Return Code was '+CodeStr+' .', mtWarning, [mbOK],0);
  end;
end;
*)


function ShiftWord(var S:string; Separator:string):string;
(* ****************************************************************************
 * This function shifts string. When S:='This is a pen.',
 * ShiftWord(S,' ') returns 'This'. S holds 'is a pen.'.
 * ****************************************************************************
 *)
var
  L  : word;
  P  : word;
begin
  S:=Trim(S);
  P:=Pos(Separator,S);
  L:=Length(Separator);
  if P=0 then
    begin
    ShiftWord:=S;
    S:='';
    exit;
  end;
  if P=1 then
    begin
    ShiftWord:='';
    Delete(S,1,L);
    exit;
  end;
  ShiftWord:=copy(S,1,P-1);
  Delete(S,1,P-1); (* Delete shifted part string*)
  Delete(S,1,L); (* Delete separator string *)
end;






end.
