(* ****************************************************************************
 *                    Fumio Kawamata's Quick Recall
 *                  Copyright (C) 1998 Fumio Kawamata
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 * ****************************************************************************
 *)

(* ****************************************************************************
 *
 * ****************************************************************************
 *)
unit slide;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TformSlide = class(TForm)
    imageViewArea       : TImage;
    scrollboxViewArea   : TScrollBox;
    procedure FormCreate(Sender: TObject);
    procedure imageViewAreaClick(Sender: TObject);
    procedure timerWaitTimeTimer(Sender: TObject);
  private
  public
  end;

var
  formSlide: TformSlide;

implementation

uses main;

{$R *.DFM}

procedure TformSlide.FormCreate(Sender: TObject);
begin
  WindowState:=wsMaximized;
  BorderStyle:=bsNone;
end;

procedure TformSlide.timerWaitTimeTimer(Sender: TObject);
begin
  Enabled:=False;
  Main.OnTime:=True;
end;

procedure TformSlide.imageViewAreaClick(Sender: TObject);
begin
  Main.Clicked:=True;
  formSlide.Close;
end;

end.
