	@echo off
	rem *********************************************************************
	rem *  Filename : pack-qr.bat
	rem *  An archive file creation program
	rem *  Copyright(C) 1998 Fumio Kawamata
	rem *
	rem * This batch program creats an archive for distribution.
	rem *
	rem * You need following programs when you execute this batch program.
	rem *   - Info-Zip's zip and unzip compression utility programs
	rem *   - rm, cp, and touch programs which run like UNIX programs
	rem * 
	rem * Remember that this batch program is designed for the author's
	rem * program environment.  Modify this program if you want use this. :-)
	rem *********************************************************************

	set Ver=102
	set TimeStamp=0%Ver%
	set DestName=c:\tmp\qr%Ver%.zip
	set TestDir=c:\tmp\qr%Ver%
	set LogFile=c:\tmp\ziplog.txt

	echo *****   Removing garbage files   *****
	cd \prog\quickrecall
	echo Removing delphi\*.~*
	del .\delphi\*.~*
        echo Removing delphi\*.$$$
        del .\delphi\*.$$$
        echo Removing delphi\*.DB
        del .\delphi\*.DB
        echo Removing delphi\*.LCK
        del .\delphi\*.LCK
	echo Removing dcu\*.dcu
	del .\dcu\*.dcu>nul
        echo Removeing bin\*.db
        del .\bin\*.db>nul
	echo Removing %DestName%
	if exist %DestName% rm %DestName%>nul
	echo Removing %TestDir%
	rm -R -f %TestDir%>nul
	echo Finished

	echo *****   Touching files   *****
	touch --date=%TimeStamp% bin\qr.exe
        touch -r ./bin/qr.exe  ./bat/*
        touch -r ./bin/qr.exe  ./bin/*
        touch -r ./bin/qr.exe  ./bmp/*
rem        touch -r ./bin/qr.exe  ./dcu/*
	touch -r ./bin/qr.exe  ./delphi/*
        touch -r ./bin/qr.exe  ./ico/*
        touch -r ./bin/qr.exe  ./manual/*

	echo *****   Zipping files into %DestName%  *****
	zip -r %DestName%  *>nul

        cd ..\bde
        zip %DestName% bde400j.zip
        cd ..\quickrecall


        echo ***** Touching time stamp of the %DestName% *****
	touch --date=%TimeStamp% %DestName%

	
	echo *****   Unzipping files into %TestDir% *****
	mkdir %TestDir%>nul
	unzip %DestName% -d %TestDir%>>%LogFile%

	echo *****   All done   *****
