(* ****************************************************************************
 *                    Fumio Kawamata's Quick Recall
 *                  Copyright (C) 1998 Fumio Kawamata
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 * ****************************************************************************
 *)

(* ****************************************************************************
 *
 * ****************************************************************************
 *)
program qr;
uses
  Forms,
  main in 'Main.pas' {formMain},
  selector in 'Selector.pas' {formSelector},
  splash in 'Splash.pas' {formSplash},
  imgtrans in 'ImgTrans.pas',
  regutl in 'Regutl.pas',
  global in 'Global.pas',
  easy in 'Easy.pas' {formEasyFilter},
  expert in 'Expert.pas' {formExpertFilter},
  slide in 'Slide.pas' {formSlide},
  UpdateKey in 'UpdateKey.pas' {formUpdateKeyword},
  KeywordList in 'KeywordList.pas' {formKeywordList},
  keywordassist in 'KeywordAssist.pas' {formKeywordAssist},
  KeywordEdit in 'KeywordEdit.pas' {formKeywordEdit},
  Processing in 'Processing.pas' {formProcessing};

{$R *.RES}

begin
  if not(ExistKey(BaseKeyName)) then Create_Key(BaseKeyName);
  Application.Initialize;
  Application.Title := 'Quick Recall';
  Application.CreateForm(TformMain, formMain);
  Application.CreateForm(TformSelector, formSelector);
  Application.CreateForm(TformEasyFilter, formEasyFilter);
  Application.CreateForm(TformExpertFilter, formExpertFilter);
  Application.CreateForm(TformSlide, formSlide);
  Application.CreateForm(TformUpdateKeyword, formUpdateKeyword);
  Application.CreateForm(TformKeywordList, formKeywordList);
  Application.CreateForm(TformKeywordEdit, formKeywordEdit);
  Application.CreateForm(TformProcessing, formProcessing);
  Application.Run;
end.
